# Lab Test List

| **API URL**     | {{url}}/admin-service/lab-test-customization/list |
| --------------- | ------------------------------------------------- |
| **Method**      | POST                                              |
| **Description** | Lab test customization list                       |

#### **Sample Input** <a href="#labtestlist-v2-sampleinput" id="labtestlist-v2-sampleinput"></a>

| **Field Name**         | **Type** | **Mandatory** | **Example**                                                                                                                             |
| ---------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| skip                   | Integer  | No            | Skip data to filter data                                                                                                                |
| limit                  | Integer  | Yes           | Limit to fetch data                                                                                                                     |
| searchTerm             | String   | No            | Search Term to filter data                                                                                                              |
| countryId              | Integer  | Yes           | Country id                                                                                                                              |
| Authorization (Header) | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                 | String   | Yes           | web                                                                                                                                     |

```
{
  "skip": 0,
  "limit": 10,
  "searchTerm": "",
  "countryId": "1"
}
```

#### **Sample Output** <a href="#labtestlist-v2-sampleoutput" id="labtestlist-v2-sampleoutput"></a>

| **Field Name** | **Type** | **Comments**            |
| -------------- | -------- | ----------------------- |
| message        | String   | Got All LabTests        |
| status         | String   | Menu status             |
| entityList     | String   | Entity List             |
| id             | Bigint   | Lab test id             |
| uniqueName     | String   | Unique Name for Labtest |
| testName       | String   | Test Name               |
| formInput      | String   | Form Input              |
| countryid      | Bigint   | Country id              |
| tenantId       | Bigint   | Tenant Id               |
| codeDetails    | String   | Code Details            |
| code           | Bigint   | Labtest code            |
| url            | String   | Lab test URL            |
| updatedAt      | date     | Lab Test UpdatedAt      |

```
{
    "message": "Got All LabTests.",
    "entity": null,
    "status": true,
    "entityList": [
        {
            "id": 1,
            "uniqueName": "widalTest1724142182717",
            "testName": "Widal Test",
            "formInput": "{\"time\":1736427052544,\"formLayout\":[{\"id\":\"widalTest1724142182808\",\"viewType\":\"CardView\",\"title\":\"Widal Test\",\"familyOrder\":0},{\"id\":\"TestedOn\",\"viewType\":\"DatePicker\",\"title\":\"Tested On\",\"fieldName\":\"TestedOn\",\"family\":\"widalTest1724142182808\",\"isMandatory\":true,\"isEnabled\":true,\"testValidityDays\":\"10\",\"visibility\":\"visible\",\"isDefault\":false,\"disableFutureDate\":true,\"isDeletable\":false,\"orderId\":1,\"minDays\":null,\"maxDays\":null},{\"id\":\"Result\",\"viewType\":\"Spinner\",\"title\":\"Result\",\"fieldName\":\"Result\",\"family\":\"widalTest1724142182808\",\"isMandatory\":true,\"isEnabled\":true,\"visibility\":\"visible\",\"hint\":\"\",\"optionsList\":[{\"name\":\"Positive\",\"id\":\"Positive\"},{\"name\":\"Negative\",\"id\":\"Negative\"},{\"name\":\"Abnormal\",\"id\":\"Abnormal\"}],\"errorMessage\":\"\",\"defaultValue\":null,\"isDefault\":false,\"isResult\":true,\"orderId\":2,\"code\":\"165828002\",\"url\":\"https://www.snomed.org/\",\"resource\":\"String\",\"condition\":null}]}",
            "countryId": 1,
            "tenantId": "77",
            "codeDetails": {
                "code": "165828002",
                "url": "https://www.snomed.org/"
            },
            "updatedAt": "2025-01-09T18:21:05+05:30"
        }
    ],
    "responseCode": 200,
    "totalCount": 1
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/admin-services/lab-test-customization/lab-test-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
